<?php
//ini_set('error_reporting', E_ALL);
$cryptinstall="_include/crypt/cryptographp.fct.php";
include $cryptinstall;  

ini_set('error_reporting', E_COMPILE_ERROR|E_ERROR|E_CORE_ERROR);

session_start();

#smarty
require '_php/smarty/libs/Smarty.class.php';

#realpath of www directory
$www_path = str_replace("\\", '/', realpath("../"));

#smarty settings
$smarty = new Smarty;

$smarty->compile_check = true;
$smarty->debugging = false;

$smarty->compile_dir = "_cache/";
$smarty->template_dir = "_templates/";

include("_config/config.inc.php");
include("_config/obconfig.inc.php");
include("_config/trialconfig.inc.php");
include("_include/functions.inc.php");
include("_lang/lang.inc.php");
include("_include/connect.inc.php");

$SMARTY_PATH = calculate_smarty_path();
$smarty->assign('PATH', $SMARTY_PATH);

#path
$path = "";
$parent_id = 0;

#assign path
$smarty->assign('php_path', $path);


$ok = false;

if (strlen($TRIAL_FIELD1_LABEL) > 0 && strlen($TRIAL_FIELD1_VALUES) > 0)
	{
		$smarty->assign('field1', true);
		$field1 = true;
		$smarty->assign('TRIAL_FIELD1_LABEL', $TRIAL_FIELD1_LABEL);
		$TRIAL_FIELD1_VALUES_ = explode(";", $TRIAL_FIELD1_VALUES);
		array_unshift ($TRIAL_FIELD1_VALUES_, "");
		$smarty->assign('TRIAL_FIELD1_VALUES',$TRIAL_FIELD1_VALUES_);
	}	

if (strlen($TRIAL_FIELD2_LABEL) > 0 && strlen($TRIAL_FIELD2_VALUES) > 0)
	{
		$smarty->assign('field2', true);
		$field2 = true;
		$smarty->assign('TRIAL_FIELD2_LABEL', $TRIAL_FIELD2_LABEL);
		$TRIAL_FIELD2_VALUES_ = explode(";", $TRIAL_FIELD2_VALUES);
		array_unshift ($TRIAL_FIELD2_VALUES_, "");
		$smarty->assign('TRIAL_FIELD2_VALUES', $TRIAL_FIELD2_VALUES_);
	}	



if(isset($_POST['submit_edit']))
{
		$id = $_GET['request'];
		$company = htmlspecialchars(isset($_POST["txt_company"])?$_POST["txt_company"]:'');
		$title = htmlspecialchars(isset($_POST["ddl_title"])?$_POST["ddl_title"]:'');
		$fname = htmlspecialchars(isset($_POST["txt_fname"])?$_POST["txt_fname"]:'');
		$lname = htmlspecialchars(isset($_POST["txt_lname"])?$_POST["txt_lname"]:'');
		$email = htmlspecialchars(isset($_POST["txt_email"])?$_POST["txt_email"]:'');
		$tel = htmlspecialchars(isset($_POST["txt_tel"])?$_POST["txt_tel"]:'');
		$www = htmlspecialchars(isset($_POST["txt_www"])?$_POST["txt_www"]:'');
		if ($field1 == true)
		{
			$f1 = htmlspecialchars(isset($_POST["ddl_field1"])?$_POST["ddl_field1"]:'');
		}
		if ($field2 == true)
		{
			$f2 = htmlspecialchars(isset($_POST["ddl_field2"])?$_POST["ddl_field2"]:'');
		}
		
		
		$nb_error = 0;
		$error = '';
		
		if (strlen($fname) == 0)
			{
				$nb_error++;
				$error .= $_0100441_first_empty."<br />";
			}	
			
		if (strlen($lname) == 0)
			{
				$nb_error++;
				$error .= $_0100027_error_lastname."<br />";
			}	
		if (strlen($email) == 0 OR validate_email($email) == false)
			{
				$nb_error++;
				$error .= $_0100029_email_invalid."<br />";
			}	
		
		if (substr($www,0,4) != 'http')
			{
				$www = 'http://'.$www;
			}	
		

		$smarty->assign('company', $company);
		$smarty->assign('title', $title);
		$smarty->assign('fname', $fname);
		$smarty->assign('lname', $lname);
		$smarty->assign('email', $email);
		$smarty->assign('tel', $tel);
		$smarty->assign('www', $www);
		$smarty->assign('f1', $f1);
		$smarty->assign('f2', $f2);
		
		if($nb_error == 0)
			{
				#Udpate data base				
				$query = "UPDATE smart_request SET
							company='".$company."',
							title='".$title."',
							fname='".$fname."',
							lname='".$lname."',
							email='".$email."',
							tel='".$tel."',
							f1='".$f1."',
							f2='".$f2."',
							www='".$www."'
							WHERE id = ".$id;

				mysql_query($query);
				$ok = true;
			}
		
	}
	
	
if(isset($_GET['request']))
	{
		$id = $_GET['request'];
		
		$query = "SELECT company,title,fname,lname,email,tel,www,f1,f2 FROM smart_request WHERE id = ".$id;

		$result = mysql_query($query);
		$row = mysql_fetch_array($result);
		$company = $row["company"];
		$title = $row["title"];
		$fname = $row["fname"];
		$lname = $row["lname"];
		$email = $row["email"];
		$tel = $row["tel"];
		$www = $row["www"];
		$f1 = $row["f1"];
		$f2 = $row["f2"];

		$smarty->assign("id",$id);
		$smarty->assign("company",$company);
		$smarty->assign("title",$title);
		$smarty->assign("fname",$fname);
		$smarty->assign("lname",$lname);
		$smarty->assign("email",$email);
		$smarty->assign("tel",$tel);
		$smarty->assign("www",$www);
		$smarty->assign("f1",$f1);
		$smarty->assign("f2",$f2);
				  
	}

	
array_unshift ($USER_TITLES, "");
$smarty->assign('USER_TITLES', $USER_TITLES);	
$smarty->assign('error', $error);	
$smarty->assign('ok', $ok);	
	
$smarty->display("trial/edit.tpl");

?>